<div class="justify-content-between">
    <div class="p-2 mb-2 bg-primary text-white rounded-top">
        <p class="h4">Gestion d'objets</p>
    </div>
    <!--Filter-->
    <form class="form-inline justify-content-center pb-2">
        <div class="form-group mx-2">
            <select class="form-control" id="select_type" [(ngModel)]="objectFilterParameter" name="select_type">
                <option value=-1>Par type --></option>
                <option *ngFor="let item of objectsMap;let indexOfelement=index;"
                    [value]="indexOfelement+1">{{item}}</option>
            </select>
        </div>
        <div class="form-group mx-2">
            <label class="sr-only" for="myInput_keyword">Description</label>
            <input class="form-control" type="text" id="myInput_keyword" [(ngModel)]="descriptionFilterParameter"
                name="description" placeholder="Par description">
        </div>
        <div class="form-group mx-2">
            <select class="form-control" id="select_date" [(ngModel)]="dateFilterParameter" name="select_date">
                <option value=-1>Par date --></option>
                <option *ngFor="let item of dateMap;let indexOfelement=index;" [value]="indexOfelement">{{item}}
                </option>
            </select>
        </div>
        <div *ngIf="dateFilterParameter >= 4 && dateFilterParameter < dateMap.length" class="form-group mx-2">
            <input class="form-control" type="date" [value]="calendarPicker" id="myInput_date"
                [(ngModel)]="calendarPicker" name="calendar" min="2020-01-01" max="2020-12-31">
        </div>
        <div class="form-group mx-2">
            <!--Bouton appliquer filtre-->
            <div class="input-group-prepend">
                <button class="btn btn-bleu" type="button" (click)="filter()">Appliquer</button>
            </div>
        </div>
        <div class="form-group mx-2">
            <!--Bouton appliquer filtre-->
            <div class="input-group-prepend">
                <button class="btn btn-secondary" type="button" (click)="cleanFilter()">Vider filtre</button>
            </div>
        </div>
    </form>
    <!--Filter ends-->

    <!-- Card group -->
    <div *ngIf="arrayAAfficher?.length > 0; else elseBlock" class="row row-cols-1 row-cols-md-4">
        <div *ngFor="let objet of objectService.objects">
            <div class="col mb-1 pr-0">
                <!-- Card -->
                <div class="card h-100">

                    <!--Card image-->
                    <div class="view overlay card-photo" (click)="previewImage(objet.imagePath,objet.description)" data-toggle="modal"
                    data-target="#imageAndDescriptionModal">
                        <img class="preview"
                            [src]="objet.imagePath=='false' ? 'assets/img/no_photo.PNG': getAddresIP()+objet.imagePath"
                            alt="Card image cap">
                        <a href="#!">
                            <div class="mask rgba-white-slight"></div>
                        </a>
                    </div>

                    <!--Card content-->
                    <div class="card-body pb-0 pt-1 px-2">
                        <p class="text-uppercase mb-0"><strong>{{objectsMap[objet.type-1]}}</strong></p>
                        <p class="card-text text-muted mb-0">
                            {{objet.email}}
                        </p>
                        <p class="card-text" style="min-height: 50px;"><small>
                                {{ objet.description | slice:0:75 }}{{ objet.description.length > 75 ? '...' : '' }}</small>
                        </p>
                    </div>
                    <div class="card-footer py-1 px-2">
                        <small class="text-muted">Publié:
                            {{objet.date | date:'d MMM, y à H' }}h{{objet.date | date:'mm' }}</small>
                    </div>
                    <div class="card-body p-0">
                        <button type="button" class="btn btn-danger btn-lg btn-block py-1" data-toggle="modal"
                            data-target="#confirmationModal"
                            (click)="selectObject(objet._id)">Supprimer</button>
                    </div>
                </div>
                <!-- Card -->
            </div>
        </div>

    </div>
    <div *ngIf="arrayAAfficher?.length > 0" class="col-sm-12">
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                <li class="{{hasPrevPage ? 'page-item' : 'page-item disabled'}}">
                    <a class="page-link" role="button" (click)="loadMoreObjects(currentPage-1)" tabindex="-1"
                        [class.aria-disabled]="hasPrevPage ? true : false">Précedent</a>
                </li>

                <li *ngFor="let i of fakeArrayTotalPages; let myIndex = index"
                    class="{{myIndex+1 == currentPage ? 'page-item active' : 'page-item'}}"><a class="page-link"
                        (click)="loadMoreObjects(myIndex+1)">{{myIndex+1}}</a></li>
                <li class="{{hasNext ? 'page-item' : 'page-item disabled'}}">
                    <a class="page-link" (click)="loadMoreObjects(currentPage+1)"
                        [class.aria-disabled]="hasNext ? 'page-item' : 'page-item disabled'">Suivant</a>
                </li>
            </ul>
        </nav>
    </div>
    <ng-template #elseBlock>
        <span class="d-block p-2 bg-primary text-white rounded mt-3">
            <h2>Pas d'objets trouvés.</h2>
        </span>
    </ng-template>
    <!--Delete Object Modal -->
    <div class="modal fade" id="confirmationModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Supprimer objet</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Vous-êtes sûr(e) de <strong>supprimmer</strong> cet objet?</p>
                    <!-- <div class="custom-control custom-checkbox mr-sm-2">
                        <input type="checkbox" name="checkbox" [(ngModel)]="blockCheckbox" class="custom-control-input"
                            id="customControlAutosizing">
                        <label class="custom-control-label" for="customControlAutosizing">Bloquer l'utilisateur
                            <strong>({{blockUserUsername}})</strong></label><br>
                        <small>Il ne pourra plus publier des objets. Allez vers "Utilisateurs" pour le
                            débloquer.</small>
                    </div> -->

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" id="confirmationCancel"
                        data-dismiss="modal">Annuler</button>
                    <button type="button" class="btn btn-primary" (click)="deleteObject()">Supprimer</button>
                </div>
            </div>
        </div>
    </div>

    <!--See Object Modal -->
    <div class="modal fade" id="imageAndDescriptionModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content" >
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Plus en détail</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div *ngIf="modalPath" class="modal-body">
                    <div class="col-sm-12 container-fluid">
                        <img [src]=" modalPath=='false' ? 'assets/img/no_photo.PNG': getAddresIP()+modalPath"
                            class="rounded mx-auto d-block total rounded" alt="Imge de l'objet">
                        <p class="text-justify mt-4 mb-0"><b>Description:</b> {{modalDescription}}</p>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-bleu" data-dismiss="modal">Compris!</button>
                </div>
            </div>
        </div>
    </div>

</div>